//
//  EAGLViewController.h
//  Snake
//
//  Created by Vahid Kazemi on 7/13/10.
//  Copyright 2010 KTH. All rights reserved.
//

#import <UIKit/UIKit.h>


@interface EAGLViewController : UIViewController<UIAccelerometerDelegate> {	
	IBOutlet UITextField* tfPoints;
	IBOutlet UITextField* tfRank;
	IBOutlet UIButton* btnStatus;
	IBOutlet UIButton* btnRestart;
	IBOutlet UIButton* btnPlay;
	IBOutlet UIButton* btnOF;
	IBOutlet UIButton* btnWorld;
	IBOutlet UIButton* btnPanel;
	CGPoint touchStartPos;
	int curPoints;
	int curRank;
	UIAccelerometer *accelerometer;
	bool lastGamePauseState, lastGameStopState;
}

@property (nonatomic, retain) UITextField* tfPoints;
@property (nonatomic, retain) UITextField* tfRank;
@property (nonatomic, retain) UIButton* btnStatus;
@property (nonatomic, retain) UIButton* btnRestart;
@property (nonatomic, retain) UIButton* btnPlay;
@property (nonatomic, retain) UIButton* btnOF;
@property (nonatomic, retain) UIButton* btnWorld;
@property (nonatomic, retain) UIButton* btnPanel;
@property (nonatomic, retain) UIAccelerometer *accelerometer;

- (IBAction) pause: (id)sender;
- (IBAction) reset: (id)sender;
- (IBAction) play: (id)sender;
- (IBAction) showOF: (id)sender;
- (IBAction) showGames: (id)sender;

- (void) update;

@end
