//
//  ESRenderer.h
//  Snake
//
//  Created by Vahid Kazemi on 7/12/10.
//  Copyright KTH 2010. All rights reserved.
//

#import <QuartzCore/QuartzCore.h>

#import <OpenGLES/EAGL.h>
#import <OpenGLES/EAGLDrawable.h>

@protocol ESRenderer <NSObject>

- (void)render;
- (BOOL)resizeFromLayer:(CAEAGLLayer *)layer;
- (void)accelerate:(UIAcceleration*)acc;

@end
