//
//  Shader.vsh
//  Snake
//
//  Created by Vahid Kazemi on 7/12/10.
//  Copyright KTH 2010. All rights reserved.
//

attribute vec4 position;
attribute vec2 texcoord;

varying vec4 colorVarying;
varying vec2 texcoordVarying;

uniform vec2 translate;
uniform vec4 color;

void main()
{
    gl_Position = position + vec4(translate.x, translate.y, 0, 0);
	texcoordVarying = texcoord;
    colorVarying = color;
}
