//
//  SoundMgr.h
//  Snake
//
//  Created by Vahid Kazemi on 7/15/10.
//  Copyright 2010 KTH. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#import <AVFoundation/AVFoundation.h>

typedef enum {
	kSoundEat,
	kSoundRotate,
	kSoundMerge,
	kSoundCrash,
	kSoundSnake,
	kSoundViper,
	kSoundElapid,
	kSoundPython,
	kSoundBoa,
	kSoundDragon,
	kSoundMOG,
	kSoundBackground,
	kNumSounds
} SoundID;

@interface SoundMgr : NSObject <AVAudioPlayerDelegate> {
	AVAudioPlayer* player[kNumSounds];
	bool state[kNumSounds];
}

- (void) play: (int)soundID;
- (void) pause: (int)soundID;

@end
