//
//  Vector.h
//  Snake
//
//  Created by Vahid Kazemi on 7/13/10.
//  Copyright 2010 KTH. All rights reserved.
//

typedef struct {
	int x, y;
} Vector2i;

typedef struct {
	int x, y, z;
} Vector3i;

typedef struct {
	int x, y, z, w;
} Vector4i;

typedef struct {
	float x, y;
} Vector2f;

typedef struct {
	float x, y, z;
} Vector3f;

typedef struct {
	float x, y, z, w;
} Vector4f;

void set2i(Vector2i* v, int x, int y);
void set2f(Vector2f* v, float x, float y);
void set3f(Vector3f* v, float x, float y, float z);
void set4f(Vector4f* v, float x, float y, float z, float w);

Vector2i add2i(Vector2i* v1, Vector2i* v2);
Vector2f add2f(Vector2f* v1, Vector2f* v2);

