//
//  Vector.m
//  Snake
//
//  Created by Vahid Kazemi on 7/13/10.
//  Copyright 2010 KTH. All rights reserved.
//

#import "Vector.h"

void set2i(Vector2i* v, int x, int y) {
	v->x = x;
	v->y = y;
}

void set2f(Vector2f* v, float x, float y) {
	v->x = x;
	v->y = y;
}

void set3f(Vector3f* v, float x, float y, float z) {
	v->x = x;
	v->y = y;
	v->z = z;
}

void set4f(Vector4f* v, float x, float y, float z, float w) {
	v->x = x;
	v->y = y;
	v->z = z;
	v->w = w;
}

Vector2i add2i(Vector2i* v1, Vector2i* v2) {
	Vector2i v;
	v.x = v1->x + v2->x;
	v.y = v1->y + v2->y;
	return v;
}

Vector2f add2f(Vector2f* v1, Vector2f* v2) {
	Vector2f v;
	v.x = v1->x + v2->x;
	v.y = v1->y + v2->y;
	return v;
}
